Skip to main content
GET
/
v2
/
offramps
/
rates
Retrieve an offramp rate
curl --request GET \
  --url https://production.hifibridge.com/v2/offramps/rates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/offramps/rates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/offramps/rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "fromCurrency": "usdc",
  "toCurrency": "usd",
  "conversionRate": "1",
  "conversionRates": [
    {
      "transferType": "default",
      "conversionRate": "1"
    }
  ]
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}
{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fromCurrency
enum<string>
required
Available options:
usdc
toCurrency
enum<string>
required
Available options:
usd,
brl,
mxn,
ugx,
ngn,
kes,
tzs,
mwk,
xaf,
bwp,
zar,
usd-hka,
usd-chn,
cny,
hkd,
sgd,
usd-sgp

Response

Success

fromCurrency
enum<string>

source currency

Available options:
usdc
toCurrency
enum<string>

target currency

Available options:
usd,
brl,
mxn,
ugx,
ngn,
kes,
tzs,
mwk,
xaf,
bwp,
zar,
usd-hka,
usd-chn,
cny,
hkd,
sgd,
usd-sgp
conversionRate
string
conversionRates
object[]